Theme widgets show as unsupported blocks in page editor since WP update 5.5.1

Since updating to Wordpress 5.5.1, I cannot edit pages that use Moesia widgets like Services and Clients. It says:
“Your site doesn’t include support for the “siteorigin-panels/layout-block” block. You can leave this block intact, convert its content to a Custom HTML block, or remove it entirely”.
The SiteOrigin support page has a number of similar reports and the answer is always that the latest WP update removed jQuery, and that themes that use it need to update otherwise they cause errors in the editor. I have installed the Enable jQuery Migrate Helper. This did not help. In the console while using the editor, the only error that looks relevant is:
"Uncaught SyntaxError: Identifier ‘registerBlockType’ has already been declared. In siteorigin-panels-layout-block.min.js?ver=2.11.5:1.
The site itself works. I even added a client and the new client appeared in the list. But obviously, I need a working editor for my site!
I will follow up separately with SiteOrigin, but this appears to be a theme issue. Are you aware of the jQuery issue? Do you know whether it affects Moesia? Is an update planned? Is there a workaround in the meantime?

Thank you for your help.

Paul

Hi Paul,

I am sorry to hear that you have run into issues. I am happy to help out.

I need the below information to narrow down the source of the problem:

  • Which version of SiteOrigin Page Builder are you running? Is it the latest?
  • Can you experience the same issue when temporarily switching theme to one of default WordPress themes for testing purpose?

Regards,
Kharis
aThemes Support

Hi

SiteOrigin Version 1.2.10.

I tried switching to Twenty Twenty theme and still get the same error. Here’s the screenshot.

I found a new thread on the SiteOrigin page that identified a conflict with the Smart Logo Showcase plugin. When I disabled it, my SiteOrigin layout blocks appear correctly. https://siteorigin.com/thread/unable-to-edit-my-pages-showing-the-follwing-error-message/

I am following the thread on the SiteOrigin forum and have started a new thread in the AccessPress forum for the Smart Logo Showcase plugin.

On the jQuery topic, I just had a new error message in the jQuery helper related to Moesia. Please look into this:
…/wp-content/themes/moesia/js/slick.min.js: ‘ready’ event is deprecated

Hello there,

Thank you for cross-checking and mentining the jQuery error. I will take a look into it.

Meanwhile, try installing and enabling this plugin, run your test, and check whether the plugin helps fixing the issue or not.

Regards,
Kharis
aThemes Support

I already have the jQuery migration helper plugin. That is what gave me the error message that I reported. It doesn’t fix them, it just reports.